This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 929093 - (CVE-2013-1849) CVE-2013-1849 Subversion (mod_dav_svn): DoS (crash) via PROPFIND request made against activity URLs
CVE-2013-1849 Subversion (mod_dav_svn): DoS (crash) via PROPFIND request made...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130305,repor...
: Security
Depends On: 947369 947370 947372 947374 948813
Blocks: 929099
  Show dependency treegraph
 
Reported: 2013-03-29 04:59 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-11-24 10:31 EST (History)
4 users (show)

See Also:
Fixed In Version: Subversion 1.6.21, Subversion 1.7.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 08:13:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-03-29 04:59:39 EDT
It was found that Subversion's mod_dav_svn Apache HTTPD server module will crash when a PROPFIND request is made against activity URLs. This can lead to a DoS. 

There is a flaw in mod_dav_svn that improperly tries to process this request instead of rejecting it and results in an attempt to access invalid memory (NULL).  Which results in the httpd process segfaulting and dying.  How bad the impact of that is varies based upon the configuration of the httpd server. httpd servers using a prefork MPM will simply start a new process to replace the process that died.  Servers using threaded MPMs may be processing other requests in the same process as the process that the attack causes to die.  In either case there is an increased processing impact of restarting a process and the cost of per process caches being lost.
Comment 1 Huzaifa S. Sidhpurwala 2013-03-29 05:01:21 EDT
External Reference:

http://seclists.org/fulldisclosure/2013/Mar/56
Comment 4 Huzaifa S. Sidhpurwala 2013-04-04 05:09:02 EDT
This issue affects the version of subversion as shipped with Red Hat Enterprise Linux 5 and 6.

This issue affects the version of subversion as shipped with Fedora 17 and Fedora 18.
Comment 5 Jan Lieskovsky 2013-04-05 08:49:19 EDT
External References:

http://subversion.apache.org/security/CVE-2013-1849-advisory.txt
Comment 7 Jan Lieskovsky 2013-04-05 08:59:54 EDT
Created subversion tracking bugs for this issue

Affects: fedora-all [bug 948813]
Comment 9 errata-xmlrpc 2013-04-11 13:49:28 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0737 https://rhn.redhat.com/errata/RHSA-2013-0737.html

Note You need to log in before you can comment on or make changes to this bug.